ch.qos.logback.core.spi

## Class ContextAwareImpl

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareImpl

All Implemented Interfaces:
  ContextAware

    public class ContextAwareImpl
    extends Object
    implements ContextAware

A helper class that implements ContextAware methods. Use this class to implement the ContextAware interface by composition.

Author:
  Ceki Gülcü

### Field Summary

Fields
`protected Context` `context`

### Constructor Summary

Constructors
Constructor and Description
`ContextAwareImpl(Context context, Object origin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addError(String msg)`
`void` `addError(String msg, Throwable ex)`
`void` `addInfo(String msg)`
`void` `addInfo(String msg, Throwable ex)`
`void` `addStatus(Status status)`
`void` `addWarn(String msg)`
`void` `addWarn(String msg, Throwable ex)`
`Context` `getContext()`
`protected Object` `getOrigin()`
`StatusManager` `getStatusManager()`
`void` `setContext(Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### context

    protected Context context

### Constructor Detail

#### ContextAwareImpl

    public ContextAwareImpl(Context context,
                            Object origin)

### Method Detail

#### getOrigin

    protected Object getOrigin()

#### setContext

    public void setContext(Context context)

Specified by:
  `setContext` in interface `ContextAware`

#### getContext

    public Context getContext()

Specified by:
  `getContext` in interface `ContextAware`

#### getStatusManager

    public StatusManager getStatusManager()

#### addStatus

    public void addStatus(Status status)

Specified by:
  `addStatus` in interface `ContextAware`

#### addInfo

    public void addInfo(String msg)

Specified by:
  `addInfo` in interface `ContextAware`

#### addInfo

    public void addInfo(String msg,
                        Throwable ex)

Specified by:
  `addInfo` in interface `ContextAware`

#### addWarn

    public void addWarn(String msg)

Specified by:
  `addWarn` in interface `ContextAware`

#### addWarn

    public void addWarn(String msg,
                        Throwable ex)

Specified by:
  `addWarn` in interface `ContextAware`

#### addError

    public void addError(String msg)

Specified by:
  `addError` in interface `ContextAware`

#### addError

    public void addError(String msg,
                         Throwable ex)

Specified by:
  `addError` in interface `ContextAware`